<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Task Chains">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Task Chain Schedules</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#12-task-chains/scheduling-task-chains.html">Open topic with navigation</a>
        </p>
        <h1><a name="top"></a>Task Chain Schedules</h1>
        <p>A schedule defines how often and when a task chain runs. You can choose to run the task chain hourly, at specific time on certain week days, monthly at a set frequency, or you can save the task chain to run as you need. </p>
        <p>For example, let's say you want to run the task chain every day at 12 a.m. You will need to configure the task chain to run daily at midnight starting on a specific date. You can also set optional conditions--such as the maximum run time for the task chain and the expiration date for the schedule. </p>
        <p>The following image shows the Task Chain Scheduler and  the configuration for the previous example:</p>
        <p>
            <img src="../Resources/Images/task-chains/task-chains-scheduler_281x265.png" title="Task Chain Scheduler" alt="Task Chain Scheduler" style="width: 281;height: 265;" />
        </p>
        <h2>Schedule Options </h2>
        <p>There are a few different schedule options that you can use to control when a task chain runs. The following schedule options are available: <br /></p>
        <ul>
            <li value="1"><b>Once</b> - Runs the task chain once on a specific date. For example, you may want to choose this option if you want to run the task chain once at midnight on December 15, 2014.</li>
            <li value="2"><b>Hourly</b> - Runs the task chain every hour. For example, you may want to choose this option if you want to run the task chain at half past every hour.</li>
            <li value="3"><b>Daily</b> - Runs the task chain every day. For example, you may want to choose this option if you want to run the task chain every day at midnight.</li>
            <li value="4"><b>Weekly</b> - Runs the task chain on certain days of the week. For example, you may want to choose this option if you want to run the task chain every Monday and Wednesday at midnight.</li>
            <li value="5"><b>Monthly</b> - Runs the task chain on a specific day of the month. For example, you may want to choose this option if you want to run the task chain on the last day of each month.</li>
        </ul>
        <h2>Scheduling a Task&#160;Chain</h2>
        <ol>
            <li value="1">From within the project that contains the task chain you want to schedule, select <b class="UISelection">Tasks &gt;&#160;Chains</b> from the Project tab bar. </li>
            <li value="2">Find and open the task chain you want to schedule. <br /><br /><img src="../Resources/Images/task-chains/task-chains-select-chain-3_538x151.png" title="Task Chains List" alt="Task Chains List" style="width: 538;height: 151;" /><br /><br />The configuration form for the task chain opens. <br /></li>
            <li value="3">Click the <b class="UISelection">Schedule Now</b> link.<br /><br /><img src="../Resources/Images/task-chains/task-chains-schedule-now-link-2_537x223.png" title="Task chains configuration page" alt="Task chains configuration page" style="width: 537;height: 223;" /><br /><br />The scheduler appears. </li>
            <li value="4">Click the <b class="UISelection">Run Chain</b> dropdown to display the recurrence options.<br /><br /><img src="../Resources/Images/task-chains/task-chains-recurrence-options_197x71.png" title="Recurrence options" alt="Recurrence options" style="width: 197;height: 71;" /></li>
            <li class="indentedListNextLine" value="5" data-mc-autonum=""><span class="autonumber"><span></span></span>You can choose once, hourly, daily, weekly, or monthly. The options that appear depend on the recurrence option you have selected.</li>
            <li class="indentedListNextLine" value="6" data-mc-autonum=""><span class="autonumber"><span></span></span>For example, if you want to run the task chain daily, you will need to specify if the task chain should run every day, every 2 days, every 3 days, and so on. You must also indicate the date and time you want the task chain to start.</li>
            <li value="5">Click the <b class="UISelection">Max Duration</b> dropdown and choose a time limit for the task chain. (Optional)<br /><br /><img src="../Resources/Images/task-chains/task-chains-max-duration-2_222x209.png" title="Task Chain Scheduler" alt="Task Chain Scheduler" style="width: 222;height: 209;" /><br /></li>
            <li value="6">Click the <b class="UISelection">Done</b> button to save the schedule.<br /><br />The scheduler closes and the task chain configuration page appears.</li>
            <li value="7">Save the task chain.<br /><br />The task chain will run according to the date and time you have scheduled.</li>
        </ol>
        <h2>Suspending a Schedule </h2>
        <p>You can indefinitely suspend a schedule from the Scheduler or from the Task Chains List. When you suspend a task chain, it will not run again until you re-enable the schedule or manually run it yourself.</p>
        <p>To suspend the schedule, select the Suspend option located on the Scheduler. </p>
        <p>
            <img src="../Resources/Images/task-chains/task-chains-suspend-checkbox_290x276.png" title="The Scheduler" alt="The Scheduler" style="width: 290;height: 276;" />
        </p>
        <p>To unsuspend the schedule, deselect the <b class="UISelection">Suspend</b> option located on the Scheduler.</p>
        <p>
            <img src="../Resources/Images/task-chains/task-chains-unsuspend-checkbox_285x268.png" style="width: 285;height: 268;" />
        </p>
        <h2>Setting the Maximum Duration for a Task Chain </h2>
        <p>The maximum duration is the time limit that you want to enforce on a task chain. You set a maximum duration if you do not want a task chain to exceed a certain time frame. Once the task chain reaches the maximum duration, it will be stopped in its current state. All data that has been collected until that point will be saved in the project. </p>
        <p>To set a time limit on the task chain,  use the <b class="UISelection">Max Duration</b> option located on the scheduler. </p>
        <p>
            <img src="../Resources/Images/task-chains/task-chains-max-duration-2_296x277.png" title="The Scheduler" alt="The Scheduler" style="width: 296;height: 277;" />
        </p>
        <p>If you do not want to set a time limit on the task chain, you can set the maximum duration or Never Expire. </p>
    </body>
</html>